Subject: Potato variety - Fianna

From: <[email-masked]>
Date: 11 Aug 1995 23:54:48 GMT

Does anyone have anu experience in the long term storage of Fianna Potatoes?
I have recently tried to store a bulk pile of 900 ton without success. Storage 
conditions were the same as for Russet Burbank in the same store. Russets
kept beautifully, Fianna rotted badly. Any ideas?